

%define framework kfilemetadata
%define oname kfilemetadata5
%define kf5filemetadata_major 5
%define libkf5filemetadata %mklibname kf5filemetadata %{kf5filemetadata_major}
%define kf5filemetadata_devel %mklibname kf5filemetadata -d

Summary:        A library for extracting file metadata
Name:           %oname
Version: 		5.44.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  attr-devel

BuildRequires:  %{_lib}poppler-qt5-devel
BuildRequires:  %{_lib}taglib-devel
BuildRequires:  %{_lib}exiv2-devel
BuildRequires:  %{_lib}ffmpeg-devel


BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kservice-devel
BuildRequires:  karchive-devel


%description
A library for extracting file metadata

%files
#%_kf5_plugindir/kfilemetadata
/etc/xdg/kfilemetadata.categories
#--------------------------------------------------------------------
%_kf5_libdir/libKF5FileMetaData.so.%{kf5filemetadata_major}*
%_kf5_libdir/libKF5FileMetaData.so.3
#--------------------------------------------------------------------
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_exiv2extractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_ffmpegextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_odfextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_office2007extractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_officeextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_plaintextextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_poextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_popplerextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/kfilemetadata_taglibextractor.so
%{_libdir}/qt5/plugins/kf5/kfilemetadata/writers/kfilemetadata_taglibwriter.so

%package -n %kf5filemetadata_devel

Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5filemetadata_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5filemetadata_devel
%_kf5_includedir/KFileMetaData
%_libdir/cmake/KF5FileMetaData
%_kf5_libdir/libKF5FileMetaData.so
#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
#%find_lang  %framework

#remove conflicts
rm -rf  %buildroot/%{_datadir}/locale

%changelog
* Sun Mar 11 2018 bb2 <bb2> - 5.44.0-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 5.43.0-1pclos2018
- new version

* Mon Jan 15 2018 bb2 <bb2> - 5.42.0-1pclos2018
- new version

* Sun Dec 10 2017 bb2 <bb2> - 5.41.0-1pclos2017
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.40.0-2pclos2017
- rebuild against updates

* Sat Nov 11 2017 bb2 <bb2> - 5.40.0-1pclos2017
- new version

* Sat Oct 14 2017 bb2 <bb2> - 5.39.0-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 5.38.0-1pclos2017
- new version

* Sun Aug 13 2017 bb2 <bb2> - 5.37.0-1pclos2017
- new version

* Sat Jul 08 2017 bb2 <bb2> - 5.36.0-1pclos2017
- new version

* Sat Jun 10 2017 bb2 <bb2> - 5.35.0-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.34.0-2pclos2017
- rebuilt

* Sun May 14 2017 bb2 <bb2> - 5.34.0-1pclos2017
- new version

* Sun Apr 09 2017 bb2 <bb2> - 5.33.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 5.32.0-1pclos2017
- new version

* Wed Mar 08 2017 bb2 <bb2> - 5.31.0-2pclos2017
- rebuild for new ffmpeg
